List monitored computers (cursor-paginated).
curl --request GET \
--url https://api.secfix.com/v1/computers \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.secfix.com/v1/computers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.secfix.com/v1/computers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"pageInfo": {
"endCursor": "eyJjIjoiMjAyNi0wNi0zMFQwMjowMDowMFoiLCJyIjoiM2YxYzlhMmUifQ..",
"hasNextPage": true,
"totalCount": 137
},
"results": [
{
"compliance": {
"agentVersion": "3.4.1",
"antivirusInstalled": true,
"diskEncryptionEnabled": true,
"passwordManagerInstalled": false,
"screenLockEnabled": true
},
"id": "7c2d1e3f-4a5b-4c6d-8e9f-0a1b2c3d4e5f",
"isMonitored": true,
"lastCheckedAt": "2026-06-30T02:00:00.000Z",
"name": "MacBook-Pro-Jane",
"operatingSystem": "macOS",
"osVersion": "14.5",
"ownerId": "a1b2c3d4-e5f6-4a7b-8c9d-0e1f2a3b4c5d",
"serialNumber": "C02XG2JMJGH7",
"tags": [
{
"key": "environment",
"value": "production"
}
]
}
]
}Computers
List monitored computers (cursor-paginated).
Requires the computers:read scope.
GET
/
v1
/
computers
List monitored computers (cursor-paginated).
Authorizations
Bearer access token obtained from /oauth/token.
⌘I